<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/iron-form/iron-form.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">



<dom-module id="mi-app-datos-acceso">
  <template>
    <style>
      fieldset{
        border:1px solid #DCDCDC;
        margin-left: 120px;
      }
      table.dates{
        float: right;
        font-size: 12px;
        width: 85%;
      }
      td{
        width: 200px;
      }
      label{
        margin-left: 5px;
      }
      input.input-info{
        border-radius: 3px;
        border:1px solid #DCDCDC;
        width: 98%;
        height: 20px;
        outline-color: #fc4484;
      }
      input.input-little{
        border-radius: 3px;
        border:1px solid #DCDCDC;
        outline-color: #fc4484;
        width: 98%;
        height: 20px;
      }
      paper-button{
        background-color: var(--accent-color);
        font-weight: bold;
        margin-top: 20px;
        float: right;
        color: white;
      }
      ul{
        color: #C0C0C0;
      }
      fieldset.encabezados{
        color: #FF1493;
        font-weight: bold;
        font-size: 12px;
        background-color: #D3D3D3;
        border:1px solid #DCDCDC;
        border-radius: 5px 5px 0px 0px;
        margin-top: 20px;
      }
    </style>
   <form is="iron-form">
    <fieldset class="encabezados" >DATOS DE ACCESO</fieldset>
    <fieldset>
      <table class="dates">
                  <tr>
                    <td colspan="2">
                      <label>Email*</label><br>
                      <input type="email" name="email" class="input-info" required="required">
                    </td>
                  </tr>

                  <tr>
                    <td>
                      <label>Contraseña nueva*</label><br>
                      <input type="password" name="cn" class="input-info" required="required" value="{{pass1}}"><br>
                    </td>
                    <td>
                      <label>Contraseña nueva (confirmación)*</label><br>
                      <input type="password" name="cnc" class="input-info" required="required" value="{{pass2}}"><br>
                    </td>
                  </tr><br>
                  <tr>
                    <td>
                      <ul>
                        <li>Se contraseña no puede asemejarse tanto a su otra información personal</li>
                        <li>Se contraseña debe contener al menos 9 caracteres.</li>
                        <li>Se contraseña no puede ser una clave utilizada comunmente.</li>
                        <li>Su contraseña no puede ser completamente numérica.</li>
                      </ul>
                    </td>
                  </tr>
                  
             </table>     
          </form>
          <paper-button>DESACTIVAR CUENTA</paper-button>
          <paper-button on-tap="changePass">GUARDAR CAMBIOS</paper-button><br><br>

    </fieldset>
                

  </template>
  

  <script>
    /**
     * @customElement
     * @polymer
     */
    class MiAppDatosAcceso extends Polymer.Element {
      static get is() { return 'mi-app-datos-acceso'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'mi-app-datos-acceso'
          }
        };
        }
          toggle() {
          this.pressed = !this.pressed;
        }

        toggle(e) {
           var id = e.target.getAttribute('my-attribute');
           console.log(id);
           this.shadowRoot.querySelector('#'+id).toggle();
        }
    }
    

    window.customElements.define(MiAppDatosAcceso.is, MiAppDatosAcceso);
  </script>
</dom-module>